List Available Currencies

Returns a list of the currencies currently enabled on a BigCommerce store. If the `channelId` parameter is provided, the response will also include a list of currencies currently enabled for the associated storefront channel. **Note:** This endpoint is available with or without a Bearer Token. To use the endpoint without a token, the `storeHash` parameter is required. Equivalent Storefront GraphQL API Query: `currencies`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).

Authentication

AuthorizationBearer
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| |`Authorization`|`Bearer {{B2B_JWT_TOKEN}}`| You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section[...]

Query parameters

channelIdstringOptional

The ID for a specific storefront channel. Including this parameter adds a list of channel-specific currencies to the response.

storeHashstringOptional
The unique store hash for the BigCommerce store. If a Bearer Token is provided with the request, the store's information is pulled using the token, and including the parameter will have no effect. If the Bearer Token is omitted this parameter is required to complete the request.

Response

OK
codeintegerDefaults to 200
HTTP response code for the request.
messagestringDefaults to SUCCESS
Message indicating the status of the request.
dataobject
Data associated with the response.

Errors

400
Bad Request Error